%define	upstream_name	 DBD-Firebird
%define	upstream_version 0.91

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Firebird database driver for the DBI module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist=%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI) >= 1.410.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.400.0
BuildRequires: firebird-devel
BuildRequires: perl-devel
%description
Firebird database driver for the DBI module

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export FIREBIRD_INCLUDE=%{_includedir}/firebird
export FIREBIRD_LIB=%{_libdir} 
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

#%check
#%{__make} test

%install
%makeinstall_std
chmod 755 %{buildroot}%{perl_vendorarch}/auto/DBD/Firebird/Firebird.so

%files
%doc Changes META.yml README
%{perl_vendorarch}/auto/DBD
%{perl_vendorarch}/DBD
%{_mandir}/*/*

%changelog

* Sat Nov 05 2011 kharec <kharec> 0.910.0-1.mga2
+ Revision: 163436
- update to 0.91

  + jquelin <jquelin>
    - removing patch no longer needed

* Fri Oct 14 2011 jquelin <jquelin> 0.800.0-1.mga2
+ Revision: 155074
- update to 0.80

* Mon Jun 27 2011 jquelin <jquelin> 0.550.0-1.mga2
+ Revision: 114691
- update to 0.55

* Fri Jun 17 2011 pterjan <pterjan> 0.520.0-2.mga2
+ Revision: 108574
- Fix build with perl 5.14

  + jquelin <jquelin>
    - perl 5.14 rebuild

  + sander85 <sander85>
    - perl 5.14

* Tue Mar 29 2011 philippem <philippem> 0.52-1.mga1
+ Revision: 78676
- imported package perl-DBD-Firebird

